<?php
// ＜アルゴリズムの注意点＞
// アルゴリズムではこれまでのように調べる力ではなく物事を論理的に考える力が必要です。
// 検索して答えを探して解いても考える力には繋がりません。
// まずは検索に頼らずに自分で処理手順を考えてみましょう。

//また、【その処理が必要かどうか・適切かを考えるため、コメントアウトで一行毎に処理の内容を記述してください。】

//EX.以下の整理されていない配列$inを$outのように整形して出力してください。

$in = [
    ['2nd' => 'two','four' => '4th'],
    ['three' => '3rd'],
    ['one' => '1st'],
    ['10th' => 'ten'],
    ['6th' => 'six','5th' => 'five','seven' => '7th'],
    ['fourteen' => '14th'],
    ['11th' => 'eleven'],
    ['8th' => 'eight','thirteen' => '13th'],
    ['12th' => 'twelve'],
    ['nine' => '9th'],
    ['15th' => 'fifteen'],
];

// $out = [
//     '1st' => 'one',
//     '2nd' => 'two',
//     '3rd' => 'three',
//     '4th' => 'four',
//     '5th' => 'five',
//     '6th' => 'six',
//     '7th' => 'seven',
//     '8th' => 'eight',
//     '9th' => 'nine',
//     '10th' => 'ten',
//     '11th' => 'eleven',
//     '12th' => 'twelve',
//     '13th' => 'thirteen',
//     '14th' => 'fourteen',
//     '15th' => 'fifteen',
// ];
<?php
$in = [
    ['2nd' => 'two','four' => '4th'],
    ['three' => '3rd'],
    ['one' => '1st'],
    ['10th' => 'ten'],
    ['6th' => 'six','5th' => 'five','seven' => '7th'],
    ['fourteen' => '14th'],
    ['11th' => 'eleven'],
    ['8th' => 'eight','thirteen' => '13th'],
    ['12th' => 'twelve'],
    ['nine' => '9th'],
    ['15th' => 'fifteen'],
];

$out = [];

// 外側の配列をループで処理
foreach ($in as $subArray) {
    // 内側の各連想配列を処理
    foreach ($subArray as $key => $value) {
        // キーと値を逆にして$outに格納
        $out[$value] = $key;
    }
}

// 結果の出力
print_r($out);
?>
